Subject: Re: (No Subject)
From: [email-masked]
To: bffone <[email-masked]>
Date: Thu, 26 Mar 2026 08:54:47 -0400

How do I see the testing results on your site? I went to lab results and nothing was there.
On Mar 26, 2026 at 8:44 AM -0400, bffone <[email-masked]>, wrote:
> Hello,
> Thank you for your inquiry.
> We currently have S10,T15,T40,R12,R15,R24,R30,R60 in stock at our US warehouse.
> The following research products are available at our China warehouse:
> T Series: T5,T10,T15,T20,T30
> R Series: R5,R10,R12,R15,R20,R24,R30,R60
> S Series: S5,S10,S20
> C Series: C5,C10
> I have specially applied to the company for you-you may place your order using the private link we provided.
>
> Kindly do not share this link with anyone else.
>
> BFF URL:https://www.bfflink.com/?woo-share=rje3FRN5mkXiRwRvhPEevuiIVd7Z7qMa
> If needed,you can conveniently place your order directly on our the private link.
> Note: All products on this site are for Research, Development use only. Products are Not for Human consumption of any kind.
>
> Thank you very much for your cooperation and trust in us.
>
> Please don't hesitate to reach out if you have any further questions.
>
> Warm regards,
>
> Binh
>
>
> 在 2026/3/26 20:38, [email-masked] 写道:
> > I need a link to your site/telegram group